javax.servlet

## Interface ServletRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  ServletRegistration.Dynamic

    public interface ServletRegistration
    extends Registration

TODO SERVLET3 - Add comments

Since:
  Servlet 3.0

### Nested Class Summary

Nested Classes
`static interface` `ServletRegistration.Dynamic`

### Method Summary

Methods
`java.util.Set<java.lang.String>` `addMapping(java.lang.String... urlPatterns)`
`java.util.Collection<java.lang.String>` `getMappings()`
`java.lang.String` `getRunAsRole()`

### Methods inherited from interface javax.servlet.Registration

`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

### Method Detail

#### addMapping

    java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

Parameters:
  `urlPatterns` -
Returns:
  TODO
Throws:
  `java.lang.IllegalArgumentException` - if urlPattern is null or empty
  `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

#### getMappings

    java.util.Collection<java.lang.String> getMappings()

#### getRunAsRole

    java.lang.String getRunAsRole()